﻿BINDING_HEADER_RANDOMCOMPANION = "RandomCompanion";
BINDING_NAME_RANDOMCOMPANION_MOUNT = "Random mount";
BINDING_NAME_RANDOMCOMPANION_MOUNT_GROUND = "Random ground mount";
BINDING_NAME_RANDOMCOMPANION_PET_SUMMON = "Random vanity pet";
BINDING_NAME_RANDOMCOMPANION_PET_DISMISS = "Dismiss vanity pet";

RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
RC_STRING_OUTLAND = "Outland";
RC_STRING_NORTHREND = "Northrend";
RC_STRING_VERY = "very";
RC_STRING_FAST = "fast";

RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Temple of Ahn'qiraj";
RC_STRING_BOREAN_TUNDRA = "Borean Tundra";
RC_STRING_CRYSTALSONG_FOREST = "Crystalsong Forest";
RC_STRING_DALARAN = "Dalaran";
RC_STRING_DRAGONBLIGHT = "Dragonblight";
RC_STRING_GRIZZLY_HILLS = "Grizzly Hills";
RC_STRING_HOWLING_FJORD = "Howling Fjord";
RC_STRING_ICECROWN = "Icecrown";
RC_STRING_KRASUS_LANDING = "Krasus' Landing";
RC_STRING_SHOLAZAR_BASIN = "Sholazar Basin";
RC_STRING_STORM_PEAKS = "The Storm Peaks";
RC_STRING_UNDERBELLY = "The Underbelly";
RC_STRING_WINTERGRASP = "Wintergrasp";
RC_STRING_ZUL_DRAK = "Zul'Drak";

RC_STRING_COLD_WEATHER_FLYING = "Cold Weather Flying";
RC_STRING_HORSEMAN_MOUNT = "Headless Horseman Mount";
RC_STRING_BLIZZARD_BEAR = "Big Blizzard Bear";

if GetLocale() == "enUS" or GetLocale() == "enGB" then
	-- do nothing
elseif GetLocale() == "deDE" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Scherbenwelt";
	RC_STRING_NORTHREND = "Nordend";
	RC_STRING_VERY = "sehr";
	RC_STRING_FAST = "schnelles";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Tempels von Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Boreanische Tundra";
	RC_STRING_CRYSTALSONG_FOREST = "Kristallsangwald";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Drachenöde";
	RC_STRING_GRIZZLY_HILLS = "Grizzlyhügel";
	RC_STRING_HOWLING_FJORD = "Der heulende Fjord";
	RC_STRING_ICECROWN = "Eiskrone";
	RC_STRING_SHOLAZAR_BASIN = "Sholazarbecken";
	RC_STRING_STORM_PEAKS = "Die Sturmgipfel";
	RC_STRING_WINTERGRASP = "Tausendwintersee";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	
	RC_STRING_COLD_WEATHER_FLYING = "Kaltwetterflug";
	RC_STRING_HORSEMAN_MOUNT = "Ross des kopflosen Reiters";
	RC_STRING_BLIZZARD_BEAR = "Großer Blizzardbär";
elseif GetLocale() == "frFR" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Outreterre";
	RC_STRING_NORTHREND = "Norfendre";
	RC_STRING_VERY = "très";
	RC_STRING_FAST = "rapide";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Le temple d'Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Toundra Boréenne";
	RC_STRING_CRYSTALSONG_FOREST = "Forêt du Chant de cristal";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Désolation des dragons";
	RC_STRING_GRIZZLY_HILLS = "Les Grisonnes";
	RC_STRING_HOWLING_FJORD = "Fjord Hurlant";
	RC_STRING_ICECROWN = "La Couronne de glace";
	RC_STRING_SHOLAZAR_BASIN = "Bassin de Sholazar";
	RC_STRING_STORM_PEAKS = "Les pics Foudroyés";
	RC_STRING_WINTERGRASP = "Joug-d'hiver";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	
	RC_STRING_COLD_WEATHER_FLYING = "Vol par temps froid";
	RC_STRING_HORSEMAN_MOUNT = "Monture du Cavalier sans tête";
	RC_STRING_BLIZZARD_BEAR = "Grand ours du Blizzard";
elseif GetLocale() == "ruRU" then
	RC_STRING_AHN_QIRAJ = "Ан'Кираж";
	RC_STRING_OUTLAND = "Запределье";
	RC_STRING_NORTHREND = "Нордсколе"; -- this may be incorrect, but it should work for detecting if it's a flying mount
	RC_STRING_VERY = "очень";
	RC_STRING_FAST = "быстрое";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Храм Ан'Кираж";
	RC_STRING_BOREAN_TUNDRA = "Борейская тундра";
	RC_STRING_CRYSTALSONG_FOREST = "Лес Хрустальной Песни";
	RC_STRING_DALARAN = "Даларан";
	--RC_STRING_DRAGONBLIGHT = ""; -- Wowhead doesn't have this one for some reason
	RC_STRING_GRIZZLY_HILLS = "Седые холмы";
	RC_STRING_HOWLING_FJORD = "Ревущий фьорд";
	RC_STRING_ICECROWN = "Ледяная корона";
	RC_STRING_SHOLAZAR_BASIN = "Низина Шолазар";
	RC_STRING_STORM_PEAKS = "Грозовая Гряда";
	RC_STRING_WINTERGRASP = "Озеро Ледяных Оков";
	RC_STRING_ZUL_DRAK = "Зул'Драк";
	
	RC_STRING_COLD_WEATHER_FLYING = "Полеты в непогоду";
	RC_STRING_HORSEMAN_MOUNT = "Верховое животное Всадника без головы";
	RC_STRING_BLIZZARD_BEAR = "Большой медведь Blizzard";
else
	DEFAULT_CHAT_FRAME:AddMessage("RandomCompanion: Your language is not currently supported by RandomCompanion.");
end
